petsc-3.12.1 2019-10-22
Report Typos and Errors

# TaoSetUpdate

Sets the general-purpose update function called at the beginning of every iteration of the nonlinear solve. Specifically it is called at the top of every iteration, after the new solution and the gradient is determined, but before the Hessian is computed (if applicable).

### Synopsis

    #include "petsctao.h"
    PetscErrorCode  TaoSetUpdate(Tao tao, PetscErrorCode (*func)(Tao, PetscInt,void*), void *ctx)

Logically Collective on Tao

### Input Parameters

| tao | - The tao solver context
| func | - The function

### Calling sequence of func

    func (Tao tao, PetscInt step);

step -The current step of the iteration

### See Also

TaoSolve()

### Level

advanced

### Location

src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages